GNU bug report logs - #39103
26.3; xclip.el 1.9 doesnt copy&paste under Wayland

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: apiraino <apiraino@HIDDEN>; Keywords: notabug; Done: Stefan Kangas <stefan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 39103 <at> debbugs.gnu.org and apiraino <apiraino@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39103 <at> debbugs.gnu.org:


Received: (at 39103) by debbugs.gnu.org; 18 Jan 2020 20:47:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 15:47:26 2020
Received: from localhost ([127.0.0.1]:42270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isv0A-0007UP-2T
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 15:47:26 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:57644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1isuz9-0007Sa-Ug; Sat, 18 Jan 2020 15:47:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5NwnKz+ag7+1uKgTuuSEITZBf131bwExOueczoFw3F0=; b=Z8gfFQKGIl6xon5xXsVlvYXwsC
 8RA8X9nV2Fs+ca4Pln6qGKStgcTuhgtoVrcQsAbJvFoBy9bGMyP3MGPInoSDR10/q44JokXMtuqGX
 0f/s5ZUaRDQTTPHpt6O8iyXuWLUFGpNTbXXW7TuFz/Dfg/cBbcUSSzp6zU7amhHnFBqWGDaAMT6vj
 921keDyD0Wuw2vVnrV40KD7/4Ip+OEkAYnxpmWq4iaFuG9xVmEI0l4RGcr79CopmfiFEzAZsvVImg
 BagG78vWDfXLGiIMuuq5SnYK19nJcuCVELa3oAqp7Tl/YDoj5+RAEUv8sWyJQD3sj5fTq1mm+2K3m
 wgMr9Isg==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:59082
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1isuz3-000ETB-J5; Sat, 18 Jan 2020 15:46:17 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: apiraino <apiraino@HIDDEN>
Subject: Re: bug#39103: Acknowledgement (26.3; xclip.el 1.9 doesnt
 copy&paste under Wayland)
In-Reply-To: <qoGlYerRnONxoaRxcDCuYhg5L6g4z-AKQBkRfHixnukHxw1K3IpqEfGCOJWCBzGMKe8aTT_BZLgyMqzY0wRlPrnvLM_r8Vvi3NLcZq2RmJY=@protonmail.com>
 (apiraino@HIDDEN's message of "Sat, 18 Jan 2020 19:38:42
 +0000")
References: <Ftt5k9DzqVqkCzkdads4izP5kJx6u9RdUqiT663CiW74kaMhDdBsWtMdvohxOKFgCgl9GeidpgTM5KpDY1_EI9S2F3rDl3e6z2_RWgJG3Uk=@protonmail.com>
 <handler.39103.B.157885153612058.ack <at> debbugs.gnu.org>
 <qoGlYerRnONxoaRxcDCuYhg5L6g4z-AKQBkRfHixnukHxw1K3IpqEfGCOJWCBzGMKe8aTT_BZLgyMqzY0wRlPrnvLM_r8Vvi3NLcZq2RmJY=@protonmail.com>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Sat, 18 Jan 2020 21:46:15 +0100
Message-ID: <8736ccwl0o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: tags 39103 + notabug close 39103 thanks apiraino
 <apiraino@HIDDEN>
 writes: > Please close this bug as INVALID 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: marxist.se]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 39103
Cc: "39103 <at> debbugs.gnu.org" <39103 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

tags 39103 + notabug
close 39103
thanks

apiraino <apiraino@HIDDEN> writes:

> Please close this bug as INVALID

Done.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39103; Package emacs. Full text available.

Message received at 39103 <at> debbugs.gnu.org:


Received: (at 39103) by debbugs.gnu.org; 18 Jan 2020 19:58:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 14:58:25 2020
Received: from localhost ([127.0.0.1]:42248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isuEi-0004Ka-Sz
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 14:58:25 -0500
Received: from mail-40134.protonmail.ch ([185.70.40.134]:28745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <apiraino@HIDDEN>) id 1istvn-0003qy-Q1
 for 39103 <at> debbugs.gnu.org; Sat, 18 Jan 2020 14:38:54 -0500
Date: Sat, 18 Jan 2020 19:38:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1579376325;
 bh=+9ZJs+q/ONpc2fSjriK52l0doQJ6MdPEmWRRCigrBhc=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:Feedback-ID:
 From;
 b=YekyFu773N9TGBGYaL3G6pNjgXGh0EFcrm+zBtalQLlLLv44Mqobx0LCm4d/LoQ7z
 FNX41TzTOrsEIJZi+CGbx7pB3JKVpex6zcele0VGwWB9fK4ezRtzi0Soh7CKa4OKUP
 BBOV/Vk3jSE0uFL69xV+qL1OI1W4ekavK/6GHrlE=
To: "39103 <at> debbugs.gnu.org" <39103 <at> debbugs.gnu.org>
From: apiraino <apiraino@HIDDEN>
Subject: Re: bug#39103: Acknowledgement (26.3;
 xclip.el 1.9 doesnt copy&paste under Wayland)
Message-ID: <qoGlYerRnONxoaRxcDCuYhg5L6g4z-AKQBkRfHixnukHxw1K3IpqEfGCOJWCBzGMKe8aTT_BZLgyMqzY0wRlPrnvLM_r8Vvi3NLcZq2RmJY=@protonmail.com>
In-Reply-To: <handler.39103.B.157885153612058.ack <at> debbugs.gnu.org>
References: <Ftt5k9DzqVqkCzkdads4izP5kJx6u9RdUqiT663CiW74kaMhDdBsWtMdvohxOKFgCgl9GeidpgTM5KpDY1_EI9S2F3rDl3e6z2_RWgJG3Uk=@protonmail.com>
 <handler.39103.B.157885153612058.ack <at> debbugs.gnu.org>
Feedback-ID: TIeXX94fLLr7uT3x0PZF1rIEMzasi1ImZki4DvKPbUjVFrNtdMfnnT3Efgi9s9YOTN5p1zMSg1jcXc7_a_sEnw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="---------------------f200c0634a6c4826718caae1bc6045bc";
 charset=UTF-8
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,BAYES_50,
 DKIM_SIGNED,DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM
 shortcircuit=no autolearn=ham autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39103
X-Mailman-Approved-At: Sat, 18 Jan 2020 14:58:23 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: apiraino <apiraino@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
-----------------------f200c0634a6c4826718caae1bc6045bc
Content-Type: multipart/mixed;boundary=---------------------06502eec8f9cec737ffb826bebad6176

-----------------------06502eec8f9cec737ffb826bebad6176
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;charset=utf-8

Hello,

update on this issue.

The reason why xclip 1.9 didn't behave correctly was that I was using a ob=
solete version of wl-clipboard (1.0) while the new wl-clipboard 2.0 behave=
s correctly when called by xclip.

Updating wl-clipboard to a 2.0 release solves the issue (in my case I've i=
nstalled the package from the next focal fossa 20.04 release).

Unfortunately Ubuntu 19.10 still distributes and old and broken version of=
 wl-clipboard.

Please close this bug as INVALID

Best,
-----------------------06502eec8f9cec737ffb826bebad6176--

-----------------------f200c0634a6c4826718caae1bc6045bc
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wsFcBAEBCAAGBQJeI17AAAoJEFHApg3ZpgbLnasP/jXiwaOo++kj5rzKFaaM
sX1J/jBSTT4Z4IlXLZoguxnN8TW+8YNHfq0cnM2UKG4US7Pb/2lOq4fr2qY5
8LuPogyuakVsyuOM2dI6gzHzW3BFHc8K0Rr8HuJm7qfe8+423kOpGWtwSUU5
Omae9INILHQfueRw2fEkg7UFXR+RlJiJtBZ2+k639PYo0jS0IWyKo7MpMcMB
PXQFHvJSifTKQkzwqaUj4h+Dia0NYjas/nazyHq7naeJd1/NHsqixLGu0RZT
VHOiZLnbogHUd7Fbk3UIChUWhfFXnzGwzFUX2YynxA3WBRCGjIZNHGZlTZGc
m2xosuOT9f+PKRCU1KM9AQJd4zBXMjnJMr7AEj0PLCqE4yzbCkPgiAe471jL
5n5GmunZiy32SEOt5BnhQyDoL6NfV0ft5kKGFgzSr4zQl2waG2De7kx23Ntt
D7wQtsSjqebiZwb4ArSZzF4K0BRXAn+7qSZboA6gAv8lQeoe+SnGL83uLyGL
1p8u2bAtmDJMdmV8IgbsT5cY4J04HnxROstCj55Ci45ZA5bzJgUTSqHfvz5e
26TtJmVsBg/Wp97R96kO5DxiAmqJ9M+VqXRj/MJd2GD2s4VRSYqJ91DhN4Kq
AJYPhGdoMlW5iqBwGLQ0FkDESych9ORwQC/zjJOzLiIt9g68Eu+l4JA2Elk3
Aqow
=8qtB
-----END PGP SIGNATURE-----


-----------------------f200c0634a6c4826718caae1bc6045bc--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39103; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2020 17:52:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 12:52:16 2020
Received: from localhost ([127.0.0.1]:57903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqhPL-00038P-Tl
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 12:52:16 -0500
Received: from lists.gnu.org ([209.51.188.17]:52023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <apiraino@HIDDEN>) id 1iqhO2-000368-J0
 for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 12:50:55 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:45696)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <apiraino@HIDDEN>) id 1iqhO0-0002SI-N8
 for bug-gnu-emacs@HIDDEN; Sun, 12 Jan 2020 12:50:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <apiraino@HIDDEN>) id 1iqhNy-0006oB-Uw
 for bug-gnu-emacs@HIDDEN; Sun, 12 Jan 2020 12:50:52 -0500
Received: from mail2.protonmail.ch ([185.70.40.22]:12850)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <apiraino@HIDDEN>)
 id 1iqhNy-0006d3-9W
 for bug-gnu-emacs@HIDDEN; Sun, 12 Jan 2020 12:50:50 -0500
Date: Sun, 12 Jan 2020 17:50:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1578851447;
 bh=rBaqZ2sM5jYF6ojP8T0SUWyIFf3YuTrqnFr80PoaqQ0=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=R27I0UOl+fwuNRLRGRJLdKksVq7fu4XzFQS0M56pv4i2DIMq6fCzq4BWHnrjp8D0/
 mBhVr3LddCJ+ngLbcUekCRVZHbNX9SeuO6SIPMBADKRurvkj9tokNLh4Rl6yzUcE1N
 xln7aYC+6jKyBUBAGNJ7gz/aJB6Mdw43ClVDmfE8=
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: apiraino <apiraino@HIDDEN>
Subject: 26.3; xclip.el 1.9 doesnt copy&paste under Wayland
Message-ID: <Ftt5k9DzqVqkCzkdads4izP5kJx6u9RdUqiT663CiW74kaMhDdBsWtMdvohxOKFgCgl9GeidpgTM5KpDY1_EI9S2F3rDl3e6z2_RWgJG3Uk=@protonmail.com>
Feedback-ID: TIeXX94fLLr7uT3x0PZF1rIEMzasi1ImZki4DvKPbUjVFrNtdMfnnT3Efgi9s9YOTN5p1zMSg1jcXc7_a_sEnw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="---------------------f550c8aa943761bb8937421c314dd58b";
 charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.70.40.22
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Jan 2020 12:52:14 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: apiraino <apiraino@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
-----------------------f550c8aa943761bb8937421c314dd58b
Content-Type: multipart/mixed;boundary=---------------------d53705e604e3808c85ec736ddd53a450

-----------------------d53705e604e3808c85ec736ddd53a450
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;charset=utf-8

user-error: Beginning of history; no preceding item [2 times]
completing-read-default: Command attempted to use minibuffer while in mini=
buffer [3 times]
completing-read-default: Command attempted to use minibuffer while in mini=
buffer
user-error: End of history; no default available

Features:
 I'm using xclip.el version 1.9 (installed from ELPA) and I was fine with =
X11. I've recently switched to Sway (a window manager for Wayland) and xcl=
ip.el should support copy and paste out of the box, after configuring it t=
o use wl-clipbaord.

 However I can't paste text snippets out of Emacs, I think because I can't=
 set primary mode for wl-copy and wl-paste. Any suggestion on how to confi=
gure or fix xclip.el to do that?

 Here's what I do

 - Open a file into a buffer
 - Select a region and copy it with "M w" to copy it
 - Try to paste in another application that runs under Wayland of Xwayland=
 (such as Firefox)

 From the cli, everything's fine:

 $ wl-copy -p heyhey
 $ wl-paste -p
 heyhey

 Also, inside Emacs copy&paste works fine.

 This is my current xclip.el config

 Hide Xclip Method: [Value Menu] Wayland: wl-copy
   [ State ]: SAVED and set.

 Hide Xclip Mode: [Toggle]  on (non-nil)
   [ State ]: CHANGED outside Customize.

 Hide Xclip Program: wl-copy
   [ State ]: STANDARD.

 Hide Xclip Select Enable Clipboard: [Toggle]  on (non-nil)
   [ State ]: STANDARD.

 In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu)
 of 2019-09-23, modified by Debian built on lgw01-amd64-032
 System Description:	Ubuntu 19.10

 Recent messages:
 For information about GNU Emacs and the GNU system, type C-h C-a.
 Making completion list...
 Making completion list...
 Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.3/site-lisp=
:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/sha=
re/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.3/site-lisp=
:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/sha=
re/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dno
 --without-gsettings 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-wvqver/emacs-26.3+1=3D. -fstack-protect=
or-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro''

 Configured features:
 JPEG SOUND GPM DBUS NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 ZLIB XIM
 THREADS LIBSYSTEMD LCMS2

 Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

 Major mode: Lisp Interaction

 Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

 Load-path shadows:
 None found.

 (shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
 bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
 format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
 epg-config gnus-util rmail tool-bar rmail-loaddefs mm-decode mm-bodies
 mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
 regexp-opt rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
 term/xterm xterm time-date elec-pair mule-util tooltip eldoc electric
 uniquify ediff-hook vc-hooks lisp-float-type tabulated-list replace
 newcomment text-mode elisp-mode lisp-mode prog-mode register page
 menu-bar rfn-eshadow isearch timer select mouse jit-lock font-lock
 syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
 utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
 japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
 ethiopic indian cyrillic chinese composite charscript charprop
 case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
 cl-preloaded nadvice loaddefs button faces cus-face macroexp files
 text-properties overlay sha1 md5 base64 format env code-pages mule
 custom widget hashtable-print-readable backquote threads dbusbind
 inotify lcms2 multi-tty make-network-process emacs)

 Memory information:
 ((conses 16 95566 6808)
 (symbols 48 19452 1)
 (miscs 40 41 96)
 (strings 32 27841 958)
 (string-bytes 1 740354)
 (vectors 16 11870)
 (vector-slots 8 448930 6250)
 (floats 8 49 569)
 (intervals 56 301 13)
 (buffers 992 12))
Date: Sun, 12 Jan 2020 18:46:21 +0100
Message-ID: <87y2uch8k2.fsf@HIDDEN=
-tickle-me>
-----------------------d53705e604e3808c85ec736ddd53a450--

-----------------------f550c8aa943761bb8937421c314dd58b
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wsFcBAEBCAAGBQJeG1xmAAoJEFHApg3ZpgbLp1gQAMGQdu/vBurWo1OmUjV/
G/rX1YsUwaY7FZB1J1qVsS+/E/s03WYsx9+yemymAkunitRfFDL4gRKrxpQp
QPCa2xAOpFa/Jj4ObwsX0D9jdMZWcV9VkjOITAOG+8ocRw+d3ksQVE/Hu5fs
Lmy617iJpt/Wz1IE0O2NqfAg67PdSOn2TEcVRVoZlSmFZ4pXyxOQ0R05heY0
Pz85hrzJUWP1KgWJRc0TxZD1gku6U2lowC8eGXcm6bdwe54VGxaOUiaFBefo
ZvEQStRXZTti4TJTaPzPz72bDQL+P3NX5xCeGxnUKgtLe5WkGrmhNuY9sYgC
VWcfVU059mFSLq+BvtH8dyMI4+nyPCz/5WWxDyFYRId90s4THhBqt3Z83wv1
dFRdH84AaNkN266nMUy2tsb/pz7qon9/GTTiLIlXgcsro8KxYiQ1y8pSJRft
QSEpFB5VZ97AiwkpX/TqgAofHjVvt2OjjgW9rX/nQugztaik9A7PC+LfKGob
Qe/JBA7gV0eKHMPqP0RMjUGrZY4DxrzOby3pqcBtdF9qLHutUr86Zy3fGQZm
4hrW0h0flKZEJ+dryHKssKZGqyR5FC5yoLlStGG/BfYj6mLGHRpDptWXmVyO
h806lQzNH40OybEUwU9YPvxOV2K7wBt4Iwm7nnVXv3l8kbNWrkd+hnT+aP4f
IHhw
=zAYm
-----END PGP SIGNATURE-----


-----------------------f550c8aa943761bb8937421c314dd58b--





Acknowledgement sent to apiraino <apiraino@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39103; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 18 Jan 2020 21:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.